Class Fox::FXArrowButton

In: | FXArrowButton.rb
Parent: | FXFrame

Button with an arrow; the arrow can point in any direction.

### Events

The following messages are sent by FXArrowButton to its target:

`SEL_KEYPRESS`: | sent when a key goes down; the message data is an FXEvent instance.
`SEL_KEYRELEASE`: | sent when a key goes up; the message data is an FXEvent instance.
`SEL_LEFTBUTTONPRESS`: | sent when the left mouse button goes down; the message data is an FXEvent instance.
`SEL_LEFTBUTTONRELEASE`: | sent when the left mouse button goes up; the message data is an FXEvent instance.
`SEL_COMMAND`: | sent when the button is clicked (or repeatedly while the button is held down, if the `ARROW_REPEAT` option is in effect).

### Arrow style options

`ARROW_NONE`: | no arrow
`ARROW_UP`: | arrow points up
`ARROW_DOWN`: | arrow points down
`ARROW_LEFT`: | arrow points left
`ARROW_RIGHT`: | arrow points right
`ARROW_REPEAT`: | button repeats if held down
`ARROW_AUTOGRAY`: | automatically gray out when not updated
`ARROW_AUTOHIDE`: | automatically hide when not updated
`ARROW_TOOLBAR`: | button is toolbar-style
`ARROW_NORMAL`: | same as `FRAME_RAISED|FRAME_THICK|ARROW_UP`

### Message identifiers

`ID_REPEAT`: | message identifier used by the timer (internally) that handles the auto-repeat feature (activated by the `ARROW_REPEAT` option).

Methods

new

Attributes

arrowColor | [RW] | Fill color for the arrow [FXColor]
arrowSize | [RW] | Default arrow size, in pixels [Integer]
arrowStyle | [RW] | Arrow style flags (see above)
helpText | [RW] | Status line help text for this arrow button [String]
justify | [RW] | Justification mode
state | [RW] | Arrow button state, where `true` means the button is down [Boolean]
tipText | [RW] | Tool tip message for this arrow button [String]

Public Class methods

new(parent, target=nil, selector=0, opts=ARROW_NORMAL, x=0, y=0, width=0, height=0, padLeft=DEFAULT_PAD, padRight=DEFAULT_PAD, padTop=DEFAULT_PAD, padBottom=DEFAULT_PAD) {|theArrowButton| ...}

Construct arrow button